Skip to main content
Resource Center/Hardware/Backup Storage Operations/ImageStore Backup Storage Operations
GETImageStore Backup Storage OperationsSince 0.6SynchronousAuth Required

QueryImageStoreBackupStorage

QueryImageStoreBackupStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • hostnameStringRequired

      No description provided.

    • usernameStringRequired

      用户名。

    • sshPortIntegerRequired

      SSH端口。

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource UUID.

    • urlStringRequired

      地址。

    • descriptionStringRequired

      The detailed description of the resource.

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedZoneUuidsListRequired

      附加区域UUID。

Endpoint

GET/zstack/v1/backup-storage/image-store

/zstack/v1/backup-storage/image-store

Operation ID

QueryImageStoreBackupStorage

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/backup-storage/image-store' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "hostname": "127.0.0.1", "username": "zstack", "sshPort": 22.0, "uuid": "744dc382db7b3598af79246b67e45230", "name": "ImageStoreBS", "url": "/Cloud_bs", "description": "My ImageStore Backup Storage.", "totalCapacity": 1.099511627776E12, "availableCapacity": 5.49755813888E11, "type": "ImageStoreBackupStorage", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "attachedZoneUuids": [ "c3affca1fde2388691216e0f7884f515" ] } ] }

Change History

This API has no change history records yet.

View all change history